<template>
  <iframe :src="businessSrc" frameborder="0" style="width: 100%; height: 100%"></iframe>
</template>

<script>
export default {
  name: "business",
  data() {
    return {
      src: "/static/signon/dispatchBusiness",
    };
  },
  computed: {
    businessSrc() {
      // if(location.href.includes("v5qy.baibaodun.cn")){//正式环境
      //   return `https://v5qy.baibaodun.cn${this.src}`;
      // }else{
      //   return `https://v5qy.te.baibaodun.com.cn${this.src}`
      // }
      console.log("businessSrcEnv", process.env.VUE_APP_ENV);
      console.log("businessSrcEnv", process.env.NODE_ENV);
      return process.env.NODE_ENV === "production"
        ? `https://v5qy.baibaodun.cn${this.src}?v=${new Date()}`
        : `https://v5qy.te.baibaodun.com.cn${this.src}?v=${new Date()}`;
    },
  },
};
</script>

<style scoped></style>
